PUT /api/v3/chargebackWorkflowStep/{chargebackWorkflowStepId}/billingPeriod/{billingPeriod}/version

Assign a list of bill split or calculate bill versions to a chargeback workflow step of the same type

AssignVersionsToStepV3 Permissions: Chargebacks (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Path Parameters

Name Description Type Required
chargebackWorkflowStepId ID of the chargeback workflow step to which the versions will be assigned integer (int32) Required
billingPeriod The billing period to validate that the provided versions are effective integer (int32) Required

Request Body

AssignVersionsToStep
Property Description Type
calculateBillVersionIds List of calculated bill or bill split version IDs to assign to a chargeback workflow step Required (defined) integer[]
Example Request Body application/json
{  "calculateBillVersionIds": [
    1
  ]
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

ChargebackWorkflowStepChild
Property Description Type
chargebackWorkflow ChargebackWorkflowBase
ChargebackWorkflowBase properties
Property Description Type
chargebackWorkflowId Identifier for the chargeback workflow integer (int32)
chargebackWorkflowInfo Name given to the chargeback workflow string
chargebackWorkflowStepDescription Description for the chargeback workflow step string
chargebackWorkflowStepId Identifier for the chargeback workflow step integer (int32)
chargebackWorkflowStepInfo Name given to the chargeback workflow step string
chargebackWorkflowStepOrder The order for this step within the chargeback workflow integer (int32)
chargebackWorkflowStepType The chargeback type that can be assign to this chargeback workflow step. One of ‘Split’, ‘Calculation’ One of ‘Split’, ‘Calculation’ string
Example Response application/json
{  "chargebackWorkflow": {    "chargebackWorkflowId": 1,    "chargebackWorkflowInfo": "string"
  },  "chargebackWorkflowStepDescription": "string",  "chargebackWorkflowStepId": 1,  "chargebackWorkflowStepInfo": "string",  "chargebackWorkflowStepOrder": 1,  "chargebackWorkflowStepType": "string"
}